--
-- PostgreSQL database dump
--

-- Dumped from database version 9.0.9
-- Dumped by pg_dump version 9.0.9
-- Started on 2017-01-12 18:11:16

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 308 (class 1259 OID 1520996)
-- Dependencies: 3200 3201 3202 3203 3204 3205 3206 3207 3208 3209 3210 3211 3212 1400 6
-- Name: atest; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE atest (
    gid integer NOT NULL,
    fc character varying(50),
    uri character varying(255),
    rotation double precision DEFAULT 0,
    txtrotation double precision DEFAULT 0,
    txtdx double precision DEFAULT 0,
    txtdy double precision DEFAULT 0,
    fid integer DEFAULT 0,
    editor integer DEFAULT 0,
    constructor integer DEFAULT 0,
    created date DEFAULT ('now'::text)::date,
    lastupdate date DEFAULT ('now'::text)::date,
    mandant integer DEFAULT 0,
    parentinfo character varying(255),
    parentformel integer DEFAULT 0,
    parent character varying(50),
    text01 character varying(50),
    text02 character varying(50),
    text03 character varying(50),
    the_geom geometry,
    CONSTRAINT enforce_dims_the_geom CHECK ((st_ndims(the_geom) = 2)),
    CONSTRAINT enforce_srid_the_geom CHECK ((st_srid(the_geom) = 25832))
);


ALTER TABLE public.atest OWNER TO postgres;

--
-- TOC entry 307 (class 1259 OID 1520994)
-- Dependencies: 308 6
-- Name: atest_gid_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE atest_gid_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.atest_gid_seq OWNER TO postgres;

--
-- TOC entry 3220 (class 0 OID 0)
-- Dependencies: 307
-- Name: atest_gid_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE atest_gid_seq OWNED BY atest.gid;


--
-- TOC entry 3221 (class 0 OID 0)
-- Dependencies: 307
-- Name: atest_gid_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('atest_gid_seq', 1, true);


--
-- TOC entry 3199 (class 2604 OID 1520999)
-- Dependencies: 308 307 308
-- Name: gid; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY atest ALTER COLUMN gid SET DEFAULT nextval('atest_gid_seq'::regclass);


--
-- TOC entry 3217 (class 0 OID 1520996)
-- Dependencies: 308
-- Data for Name: atest; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY atest (gid, fc, uri, rotation, txtrotation, txtdx, txtdy, fid, editor, constructor, created, lastupdate, mandant, parentinfo, parentformel, parent, text01, text02, text03, the_geom) FROM stdin;
1	\N	\N	0	0	0	0	0	0	0	2017-01-09	2017-01-09	0	\N	0	\N	I am a Test	\N	\N	0103000020E864000001000000050000000000000040521D4100000000A3C3564100000000E0611D4100000000A3C3564100000000E0611D41000000009DC456410000000040521D41000000009DC456410000000040521D4100000000A3C35641
\.


--
-- TOC entry 3216 (class 2606 OID 1521017)
-- Dependencies: 308 308
-- Name: atest_pk; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY atest
    ADD CONSTRAINT atest_pk PRIMARY KEY (gid);


--
-- TOC entry 3213 (class 1259 OID 1521018)
-- Dependencies: 308
-- Name: atest_fid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX atest_fid_idx ON atest USING btree (fid);


--
-- TOC entry 3214 (class 1259 OID 1521019)
-- Dependencies: 308 2640
-- Name: atest_geom_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX atest_geom_idx ON atest USING gist (the_geom);


-- Completed on 2017-01-12 18:11:17

--
-- PostgreSQL database dump complete
--

